package com.example.prvniKrucky;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class PrvniKruckyActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.new_layout);
		Toast.makeText(this, R.string.wellcome_toast,
				Toast.LENGTH_LONG).show();
	}
	
	public void buttonClicked(View button) {
		int age = getAge();
		if(age < 0){
			informAboutInvalidAge();
		} else{
			startAgeActivity(age);
		}
	}
	
	protected void informAboutInvalidAge(){
		Toast.makeText(this, R.string.invalid_age ,Toast.LENGTH_SHORT).show();
		EditText ageInput = ((EditText)findViewById(R.id.edittext));
		ageInput.setText("");
		ageInput.requestFocus();
	}
	
	protected int getAge(){
		// findViewById může vrátit i null (a tehdy by program vyhodil NullPointerExteption),
		// je však běžnou praxí spolehnout se, že vše bude v pořádku.
		EditText ageInput = ((EditText)findViewById(R.id.edittext));
		String ageStr = ageInput.getText().toString();
		int age = -1;
		try{
			age = Integer.parseInt(ageStr);
		}catch(NumberFormatException e){
			// age má nastavenou výchozí hodnotu
		}
		return age;
	}
	
	protected void startAgeActivity(int age){
		Intent intent = new Intent(this, AgeDisplayerActivity.class);
		intent.putExtra(AgeDisplayerActivity.AGE, age);
		startActivity(intent);
	}
}